/*Google Fonts*/

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    scroll-padding-top: 2rem;
    box-sizing: border-box;
}

/* Variables */
:root {
    --container-color: #090040;
    --second-color: #ffcc00;
    --text-color: #172317;
    --bg-color: #fff;
}

::selection {
    color: var(--bg-color);
    background: var(--second-color);
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

img {
    width: 100%;
}

section {
    padding: 3rem 0 2rem;
}

.container {
    max-width: 1068px;
    margin: auto;
    width: 100%;
}

/*Header*/
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 200;
}

header.shadow {
    background: #090040;
    box-shadow: 0 1px 4px hsl(0 4% 14% / 10%);
    transition: 0.4s;
}

header.shadow .logo {
    color: #ffcc00;
}

.nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px 0;
}

.logo {
    font-size: 1.5rem;
    font-weight: 600;
    color: #ffcc00;
}

.start {
    padding: 8px 14px;
    font-weight: 500;
    border-radius: 4px;
    background: var(--second-color);
    color: #090040;
}

.start:hover {
    background: hsl(24, 98%, 58%);
    transition: 0.3s;
}

.home {
    width: 100%;
    min-height: 440px;
    background: var(--container-color);
    display: grid;
    justify-content: center;
    align-items: center;
}

.home-text {
    color: var(--bg-color);
    text-align: center;
}

.home-title {
    font-size: 3.5rem;
}

.home-subtitle {
    font-size: 1.5rem;
    font-weight: 400;
}

/* Post Filter*/
.post-filter {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 1.5rem;
    margin-top: 2rem !important;
}

.filter-item {
    font-size: 0.9rem;
    font-weight: 500;
    cursor: pointer;
}

.active-filter {
    background: var(--second-color);
    color: var(--bg-color);
    padding: 4px 10px;
    border-radius: 4px;
}

/* Posts */
.post {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, auto));
    justify-content: center;
    gap: 1.5rem;
}

.post-box {
    background: var(--bg-color);
    box-shadow: 0 4px 14px hsl(355deg 25% 25% / 10%);
    padding: 15px;
    border-radius: 0.5rem;
}

.post-img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    object-position: center;
    border-radius: 0.5rem;
}

.category {
    font-size: 0.9rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--second-color);
}

.post-title {
    font-size: 1.3rem;
    font-weight: 600;
    color: var(--text-color);
    /* To Remain Title In 2 Lines */
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.post-date {
    display: flex;
    font-size: 0.875rem;
    text-transform: uppercase;
    font-weight: 400;
    margin-top: 4px;
}

.post-description {
    font-size: 0.9rem;
    line-height: 1.5rem;
    margin: 5px 0 10px;
    /* To Remain Title In 3 Lines */
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.profile {
    display: flex;
    align-items: center;
    gap: 10px;
}

.profile-img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    border: 2px solid var(--second-color);
}

.profile-name {
    font-size: 0.82rem;
    font-weight: 500;
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 0;
}

.footer p {
    font-size: 0.938rem;
}

.social {
    display: flex;
    align-items: center;
    column-gap: 1rem;
}

.social .bx {
    font-size: 1.4rem;
    color: var(--text-color);
}

.social .bx:hover {
    color: var(--second-color);
    transition: 0.3s all linear;
}

/* Post Content */
.post-header {
    width: 100%;
    height: 500px;
    background: var(--container-color);
}

.post-container {
    max-width: 800px;
    margin: auto;
    width: 100%;
}

.header-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 4rem !important;
}

.back-home {
    color: var(--second-color);
    font-size: 0.9rem;
}

.header-title {
    width: 90%;
    font-size: 2.6rem;
    color: var(--bg-color);
    text-align: center;
    margin-bottom: 1rem;
}

.header-img {
    width: 100%;
    height: 420px;
    object-fit: cover;
    object-position: center;
}

.post-content {
    margin-top: 10rem !important;
}

.sub-heading {
    font-size: 1.2rem;
}

.post-text {
    font-size: 1rem;
    line-height: 1.7rem;
    margin: 1rem 0;
    text-align: justify;
    ;
}

.post-content h1 {
    color: #333;
    margin: 15px auto;
}

.post-content h2 {
    color: #333;
    margin: 15px auto;
}

.post-content h3 {
    color: #333;
    margin: 15px auto;
}

a.button {
    display: inline-block;
    margin-top: 16px;
    background-color: #f97316;
    color: white;
    padding: 10px 16px;
    border-radius: 8px;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

a.button:hover {
    background-color: #ea580c;
}

/*Share*/
.share {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 1rem;
}

.share-title {
    font-size: 1.1rem;
}

/* Responsive */
@media (max-width:1060px) {
    .container {
        margin: 0 auto;
        width: 95%;
    }

    .home-text {
        width: 100%;
    }
}

@media (max-width: 800px) {
    .nav {
        padding: 14px 0;
    }

    .post-container {
        margin: 0 auto;
        width: 95%;
    }
}

@media (max-width: 768px) {
    .nav {
        padding: 10px 0;
    }

    section {
        padding: 2rem 0;
    }

    .header-content {
        margin-top: 3rem !important;
    }

    .home {
        min-height: 380px;
    }

    .home-title {
        font-size: 3rem;
    }

    .header-title {
        font-size: 2rem;
    }

    .header-img {
        height: 370px;
    }

    .post-header {
        height: 435px;
    }

    .post-content {
        margin-top: 9rem !important;
    }
}

@media (max-width: 570px) {
    .post-header {
        height: 390px;
    }

    .header-title {
        width: 100%;
    }

    .header-img {
        height: 340px;
    }

    .footer {
        flex-direction: column;
        row-gap: 1rem;
        padding: 20px 0;
        text-align: center;
    }
}

@media (max-width: 396px) {
    .home-title {
        font-size: 2rem;
    }

    .home-subtitle {
        font-size: 0.9rem;
        ;
    }

    .home {
        min-height: 300px;
    }

    .post-box {
        padding: 10px;
    }

    .header-title {
        font-size: 1.4rem;
    }

    .header-img {
        height: 240px;
    }

    .post-header {
        height: 335px;
    }

    .post-content {
        margin-top: 5rem !important;
    }

    .post-text {
        font-size: 0.875rem;
        line-height: 1.5rem;
        margin: 10px 0;
    }
}


:root {
    --bg: #ffffff;
    --text: #111;
    --muted: #555;
    --accent: #0b5;
    --maxw: 900px
}


h1 {
    font-size: 28px;
}
.post-content h1{
    margin-top: 200px;
}

.meta {
    color: var(--muted);
    font-size: 13px;
    margin-bottom: 18px
}

table {
    width: 100%;
    border-collapse: collapse;
    margin: 12px 0
}

table,
th,
td {
    border: 1px solid #ddd
}

th,
td {
    padding: 8px;
    text-align: left
}

ul {
    margin-left: 18px
}

.cta {
    background: #092040;
    color: #fff;
    padding: 10px 14px;
    border-radius: 6px;
    display: inline-block;
    text-decoration: none
}

.note {
    background: #f7f8fa;
    border-left: 4px solid #092040;
    padding: 10px;
    margin: 12px 0
}

.affiliate {
    color: #0b5;
    text-decoration: none
}

footer {
    margin-top: 30px;
    color: var(--muted);
    font-size: 13px
}

pre {
    background: #f4f7fb;
    padding: 10px;
    border-radius: 6px;
    overflow: auto
}